{ stdenv
, lib
, fetchFromGitHub
, glib }:

stdenv.mkDerivation rec {
  name = "bluetooth-quick-connect";
  version = "20";

  src = fetchFromGitHub {
    owner = "bjarosze";
    repo = "gnome-${name}";
    rev = "v${version}";
    sha256 = "1j7f6h248gvjga5fjgz70icbj783w7rb7dl9ckb2hzjcw0sgla4f";
  };

  nativeBuildInputs = [
    glib
  ];

  installPhase = let
    uuid = "bluetooth-quick-connect@bjarosze.gmail.com";
  in
    ''
      mkdir -p $out/share/gnome-shell/extensions/${uuid}
      cp -r Settings.ui bluetooth.js extension.js prefs.js settings.js \
         ui.js utils.js metadata.json schemas \
         $out/share/gnome-shell/extensions/${uuid};
    '';

  meta = with lib; {
    description = "Connect bluetooth paired devices from gnome control panel";
    licenses = licenses.gpl3;
  };
}
