{ stdenv, lib, fetchzip }:

stdenv.mkDerivation rec {
  pname = "hibernate-status";
  version = "1.10";

  src = fetchzip {
    url = "https://github.com/arelange/gnome-shell-extension-hibernate-status/archive/refs/tags/v${version}.zip";
    sha256 = "0r6jn5pkyw7km32migb86xdq32w2vybbbrspd4wc0dzgadk2ii7w";
    stripRoot = false;
  };

  uuid = "hibernate-status@dromi";

  dontBuild = true;

  installPhase = ''
    cd gnome-shell-extension-hibernate-status-${version}
    mkdir -p $out/share/gnome-shell/extensions/${uuid}
    cp confirmDialog.js extension.js metadata.json prefs.js $out/share/gnome-shell/extensions/${uuid}
    cp -r schemas $out/share/gnome-shell/extensions/${uuid}
  '';

  meta = with lib; {
    description = "Gnome Shell extension that adds a hibernate/hybrid suspend button in Status menu";
    homepage = "https://github.com/arelange/gnome-shell-extension-hibernate-status";
    license = licenses.gpl2;
  };
}
